import Component  from '../component.js'
import CoUxButton from './ux-button.js';

export default class CoUxLayoutFooterActionBar extends Component {
    constructor(parent) {
      let selector = 'ux-layout-footer-action-bar';
      super(parent, selector);
      //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/core/src/lib/commons/ux-components/layout/ux-layout-footer-action-bar/ux-layout-footer-action-bar.component.html?at=refs%2Fheads%2Fsupport%2F7.x
    }
    get dataE2E() {
      return this.currentPath + '//div[contains(@data-e2e, "ux-layout-footer-action-bar")]';
    }
    get customContent() {
      let path = '//uxLayoutFooterActionBarContent';
      return this.dataE2E + path;
    }
    get customContentButtonCO(){
      return new CoUxButton(this.customContent);
    }
}


